Subject: Re: ppc/sata-fsl: orphan config value: CONFIG_MPC8315_DS

From: Jeff Garzik <[email-masked]>
Date: Tue, 30 Apr 2013 17:35:41 -0400

On 04/30/2013 02:41 AM, Anthony Foiani wrote:
> Apologies for resurrecting a very old thread, but...
>
> On 05/30/2012 02:14 PM, Anthony Foiani wrote:
>>
>> Maybe someone who knows devtree really well could crank that out in a
>> few minutes... but I'm not that person.  :)
> Well, I wasn't last year, but this year I decided that I didn't care.
> Took me about an hour, not a minute, but...
>
> Having been bitten by this config symbol disappearing one more time,
> please find attached my attempt at using information out of the device
> tree to enable this hack.
>
> Patch is against 3.4.36 or so; hopefully upstream hasn't diverged very
> much.
>
> Tested by me, so feel free to add that tag if required.

Regarding this patch:  Search for "sata_spd_limit" and xxx_spd* functions

	Jeff